proxies:
  - {name: "LAX-VLESS-Reality", type: vless, server: 179.255.126.9, port: 8443, uuid: b58e4c48-002d-48a3-bbf1-51306252be56, network: tcp, udp: true, tls: true, flow: xtls-rprx-vision, servername: addons.mozilla.org, client-fingerprint: chrome, reality-opts: {public-key: chFcbYOhhOC6a0OiSew4JGfLG9eGcfH9-4zvw_VNIGk, short-id: ""}}
  - {name: "LAX-AnyTLS", type: anytls, server: 179.255.126.9, port: 8444, password: b58e4c48-002d-48a3-bbf1-51306252be56, sni: addons.mozilla.org, skip-cert-verify: false}
  - {name: "KR-VLESS-Reality", type: vless, server: 4.217.197.77, port: 443, uuid: f6a42f14-a9da-4f9f-a2df-d0774565ac82, network: tcp, udp: true, tls: true, flow: xtls-rprx-vision, servername: addons.mozilla.org, client-fingerprint: chrome, reality-opts: {public-key: wHLJ7S6h2IPugPTGjWkJl1Zfb9Qv86pwBf4m_XibJww, short-id: ""}}
  - {name: "KR-AnyTLS", type: anytls, server: 4.217.197.77, port: 444, password: f6a42f14-a9da-4f9f-a2df-d0774565ac82, sni: addons.mozilla.org, skip-cert-verify: false}

proxy-groups:
  - name: "自建节点"
    type: url-test
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    proxies:
      - LAX-VLESS-Reality
      - LAX-AnyTLS
      - KR-VLESS-Reality
      - KR-AnyTLS
  - name: "PROXY"
    type: select
    proxies:
      - "自建节点"
      - LAX-VLESS-Reality
      - LAX-AnyTLS
      - KR-VLESS-Reality
      - KR-AnyTLS

rules:
  - GEOIP,CN,DIRECT
  - MATCH,PROXY
